JndiInfinispanRegionFactory (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cache.infinispan
Class JndiInfinispanRegionFactory

    java.lang.Object
      org.hibernate.cache.infinispan.InfinispanRegionFactory
          org.hibernate.cache.infinispan.JndiInfinispanRegionFactory

All Implemented Interfaces:
  Serializable, RegionFactory, Service

    public class JndiInfinispanRegionFactory

extends InfinispanRegionFactory

A `RegionFactory` for Infinispan-backed cache regions that finds its cache manager in JNDI rather than creating one itself.

Since:
  3.5
See Also:
  Serialized Form

Field Summary
`static String` | `CACHE_MANAGER_RESOURCE_PROP` Specifies the JNDI name under which the `EmbeddedCacheManager` to use is bound.

Fields inherited from class org.hibernate.cache.infinispan.InfinispanRegionFactory
`COLLECTION_CACHE_RESOURCE_PROP, DEF_ENTITY_RESOURCE, DEF_INFINISPAN_CONFIG_RESOURCE, DEF_QUERY_RESOURCE, DEF_TIMESTAMPS_RESOURCE, DEF_USE_SYNCHRONIZATION, ENTITY_CACHE_RESOURCE_PROP, INFINISPAN_CONFIG_RESOURCE_PROP, INFINISPAN_GLOBAL_STATISTICS_PROP, INFINISPAN_USE_SYNCHRONIZATION_PROP, NATURAL_ID_CACHE_RESOURCE_PROP, QUERY_CACHE_RESOURCE_PROP, TIMESTAMPS_CACHE_RESOURCE_PROP`

Constructor Summary
`JndiInfinispanRegionFactory()`
`JndiInfinispanRegionFactory(Properties props)`

Method Summary
`protected org.infinispan.manager.EmbeddedCacheManager` | `createCacheManager(Properties properties)`
`void` | `stop()` Lifecycle callback to perform any necessary cleanup of the underlying cache implementation(s).

Methods inherited from class org.hibernate.cache.infinispan.InfinispanRegionFactory
`buildCollectionRegion, buildEntityRegion, buildNaturalIdRegion, buildQueryResultsRegion, buildTimestampsRegion, createCacheWrapper, createTimestampsRegion, createTransactionManagerLookup, getCacheManager, getDefaultAccessType, getDefinedConfigurations, getTypeOverrides, isMinimalPutsEnabledByDefault, nextTimestamp, setCacheManager, start, stopCacheManager, stopCacheRegions`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CACHE_MANAGER_RESOURCE_PROP

    public static final String CACHE_MANAGER_RESOURCE_PROP

  Specifies the JNDI name under which the `EmbeddedCacheManager` to use is bound. There is no default value -- the user must specify the property.

  See Also:
    Constant Field Values

Constructor Detail

### JndiInfinispanRegionFactory

    public JndiInfinispanRegionFactory()

### JndiInfinispanRegionFactory

    public JndiInfinispanRegionFactory(Properties props)

Method Detail

### createCacheManager

    protected org.infinispan.manager.EmbeddedCacheManager createCacheManager(Properties properties)
                                                                      throws CacheException

  Overrides:
    `createCacheManager` in class `InfinispanRegionFactory`
  Throws:
    `CacheException`

### stop

    public void stop()

  Description copied from class: `InfinispanRegionFactory`
  Lifecycle callback to perform any necessary cleanup of the underlying cache implementation(s). Called exactly once during `SessionFactory.close()`.

  Specified by:
    `stop` in interface `RegionFactory`
  Overrides:
    `stop` in class `InfinispanRegionFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.